<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.3.1"/>
<title>Capacitive Touch Library: C:/USERDATA/MSP430/GIT/capacitive-touch-sensing-library/Library/CTS_Layer.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Capacitive Touch Library
   &#160;<span id="projectnumber">1.3</span>
   </div>
   <div id="projectbrief">Description of the Capacitive Touch Library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.3.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_2819f17ffd536c76baa6d22c695599c9.html">GIT</a></li><li class="navelem"><a class="el" href="dir_cfb79c94276bf2684d56c3a3297b6d33.html">capacitive-touch-sensing-library</a></li><li class="navelem"><a class="el" href="dir_ccd6b8a5aceb8f839b9ec468e03976d2.html">Library</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">CTS_Layer.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This source file contains the API calls and one support function.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaad906f9ff5eed9fff49a2bf24ac0e6a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#gaad906f9ff5eed9fff49a2bf24ac0e6a7">TI_CAPT_Raw</a> (const struct Sensor *groupOfElements, uint16_t *counts)</td></tr>
<tr class="memdesc:gaad906f9ff5eed9fff49a2bf24ac0e6a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Measure the capacitance of each element within the Sensor.  <a href="group___c_t_s___a_p_i.html#gaad906f9ff5eed9fff49a2bf24ac0e6a7">More...</a><br/></td></tr>
<tr class="separator:gaad906f9ff5eed9fff49a2bf24ac0e6a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga240e69dd905d636f25ac82e76fc72976"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga240e69dd905d636f25ac82e76fc72976">TI_CAPT_Init_Baseline</a> (const struct Sensor *groupOfElements)</td></tr>
<tr class="memdesc:ga240e69dd905d636f25ac82e76fc72976"><td class="mdescLeft">&#160;</td><td class="mdescRight">Make a single capacitance meausrment to initialize baseline tracking.  <a href="group___c_t_s___a_p_i.html#ga240e69dd905d636f25ac82e76fc72976">More...</a><br/></td></tr>
<tr class="separator:ga240e69dd905d636f25ac82e76fc72976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc26c15a0c2814f5d876f803e2bb96cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#gafc26c15a0c2814f5d876f803e2bb96cf">TI_CAPT_Update_Baseline</a> (const struct Sensor *groupOfElements, uint8_t numberOfAverages)</td></tr>
<tr class="memdesc:gafc26c15a0c2814f5d876f803e2bb96cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update baseline tracking by averaging several measurements.  <a href="group___c_t_s___a_p_i.html#gafc26c15a0c2814f5d876f803e2bb96cf">More...</a><br/></td></tr>
<tr class="separator:gafc26c15a0c2814f5d876f803e2bb96cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99a875979b63b8acbd504755996e7ad3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga99a875979b63b8acbd504755996e7ad3">TI_CAPT_Reset_Tracking</a> (void)</td></tr>
<tr class="memdesc:ga99a875979b63b8acbd504755996e7ad3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the Baseline Tracking algorithm to the default state.  <a href="group___c_t_s___a_p_i.html#ga99a875979b63b8acbd504755996e7ad3">More...</a><br/></td></tr>
<tr class="separator:ga99a875979b63b8acbd504755996e7ad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e7c66acefdf7fecf3357b7099854d47"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga8e7c66acefdf7fecf3357b7099854d47">TI_CAPT_Update_Tracking_DOI</a> (uint8_t direction)</td></tr>
<tr class="memdesc:ga8e7c66acefdf7fecf3357b7099854d47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the Baseline Tracking algorithm Direction of Interest.  <a href="group___c_t_s___a_p_i.html#ga8e7c66acefdf7fecf3357b7099854d47">More...</a><br/></td></tr>
<tr class="separator:ga8e7c66acefdf7fecf3357b7099854d47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8c4955d9a0ef75d5b9dd89830fbefa3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga8c4955d9a0ef75d5b9dd89830fbefa3c">TI_CAPT_Update_Tracking_Rate</a> (uint8_t rate)</td></tr>
<tr class="memdesc:ga8c4955d9a0ef75d5b9dd89830fbefa3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the baseling tracking algorithm tracking rates.  <a href="group___c_t_s___a_p_i.html#ga8c4955d9a0ef75d5b9dd89830fbefa3c">More...</a><br/></td></tr>
<tr class="separator:ga8c4955d9a0ef75d5b9dd89830fbefa3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga198ab93fb468b512993a278d579c3808"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga198ab93fb468b512993a278d579c3808">TI_CAPT_Custom</a> (const struct Sensor *groupOfElements, uint16_t *deltaCnt)</td></tr>
<tr class="memdesc:ga198ab93fb468b512993a278d579c3808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Measure the change in capacitance of the Sensor.  <a href="group___c_t_s___a_p_i.html#ga198ab93fb468b512993a278d579c3808">More...</a><br/></td></tr>
<tr class="separator:ga198ab93fb468b512993a278d579c3808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga30ca174281f9410fd1bb9ab00dfb0a23"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga30ca174281f9410fd1bb9ab00dfb0a23">TI_CAPT_Button</a> (const struct Sensor *groupOfElements)</td></tr>
<tr class="memdesc:ga30ca174281f9410fd1bb9ab00dfb0a23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if a button is being pressed.  <a href="group___c_t_s___a_p_i.html#ga30ca174281f9410fd1bb9ab00dfb0a23">More...</a><br/></td></tr>
<tr class="separator:ga30ca174281f9410fd1bb9ab00dfb0a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f5e93f2d72d969633f55cd8c6754e47"><td class="memItemLeft" align="right" valign="top">struct Element *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga0f5e93f2d72d969633f55cd8c6754e47">TI_CAPT_Buttons</a> (const struct Sensor *groupOfElements)</td></tr>
<tr class="memdesc:ga0f5e93f2d72d969633f55cd8c6754e47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine which button if any is being pressed.  <a href="group___c_t_s___a_p_i.html#ga0f5e93f2d72d969633f55cd8c6754e47">More...</a><br/></td></tr>
<tr class="separator:ga0f5e93f2d72d969633f55cd8c6754e47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffdf52c13a23935fa2e1d6b56df4d150"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#gaffdf52c13a23935fa2e1d6b56df4d150">TI_CAPT_Slider</a> (const struct Sensor *groupOfElements)</td></tr>
<tr class="memdesc:gaffdf52c13a23935fa2e1d6b56df4d150"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine the position on a slider.  <a href="group___c_t_s___a_p_i.html#gaffdf52c13a23935fa2e1d6b56df4d150">More...</a><br/></td></tr>
<tr class="separator:gaffdf52c13a23935fa2e1d6b56df4d150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65cf217efa5b4d6b0afb9760db0337f6"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___a_p_i.html#ga65cf217efa5b4d6b0afb9760db0337f6">TI_CAPT_Wheel</a> (const struct Sensor *groupOfElements)</td></tr>
<tr class="memdesc:ga65cf217efa5b4d6b0afb9760db0337f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine the position on a wheel.  <a href="group___c_t_s___a_p_i.html#ga65cf217efa5b4d6b0afb9760db0337f6">More...</a><br/></td></tr>
<tr class="separator:ga65cf217efa5b4d6b0afb9760db0337f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78b1beaf1442cbfb831990ae521fe56e"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s__support.html#ga78b1beaf1442cbfb831990ae521fe56e">Dominant_Element</a> (const struct Sensor *groupOfElements, uint16_t *deltaCnt)</td></tr>
<tr class="memdesc:ga78b1beaf1442cbfb831990ae521fe56e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine which element within a sensor has the largest response.  <a href="group___c_t_s__support.html#ga78b1beaf1442cbfb831990ae521fe56e">More...</a><br/></td></tr>
<tr class="separator:ga78b1beaf1442cbfb831990ae521fe56e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga6dc372c927ccb74812fbef3e0a6adac5"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_l_o_b_a_l___v_a_r_s.html#ga6dc372c927ccb74812fbef3e0a6adac5">baseCnt</a> [TOTAL_NUMBER_OF_ELEMENTS]</td></tr>
<tr class="separator:ga6dc372c927ccb74812fbef3e0a6adac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga745e363119e9b146c7d05f2d3c58e85f"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_l_o_b_a_l___v_a_r_s.html#ga745e363119e9b146c7d05f2d3c58e85f">measCnt</a> [MAXIMUM_NUMBER_OF_ELEMENTS_PER_SENSOR]</td></tr>
<tr class="separator:ga745e363119e9b146c7d05f2d3c58e85f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48dbba7373b0d392f977a67bc9e92f6b"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_l_o_b_a_l___v_a_r_s.html#ga48dbba7373b0d392f977a67bc9e92f6b">ctsStatusReg</a> = (DOI_INC+TRADOI_FAST+TRIDOI_SLOW)</td></tr>
<tr class="separator:ga48dbba7373b0d392f977a67bc9e92f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This source file contains the API calls and one support function. </p>
<dl class="section user"><dt>Project:</dt><dd>MSP430 Capacitive Touch Library</dd></dl>
<dl class="section user"><dt>Developed using:</dt><dd>CCS Version : 5.2.1.00018, w/support for GCC extensions (&ndash;gcc) <br/>
 IAR Version : 5.51.2 [Kickstart]</dd></dl>
<dl class="section author"><dt>Author</dt><dd>C. Sterzik </dd>
<dd>
T. Hwang </dd>
<dd>
E. Fu</dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.3 Updated HALs for new devices.</dd></dl>
<dl class="section user"><dt>Supported API Calls:</dt><dd><ul>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga240e69dd905d636f25ac82e76fc72976" title="Make a single capacitance meausrment to initialize baseline tracking.">TI_CAPT_Init_Baseline()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#gafc26c15a0c2814f5d876f803e2bb96cf" title="Update baseline tracking by averaging several measurements.">TI_CAPT_Update_Baseline()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga99a875979b63b8acbd504755996e7ad3" title="Reset the Baseline Tracking algorithm to the default state.">TI_CAPT_Reset_Tracking()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga8e7c66acefdf7fecf3357b7099854d47" title="Update the Baseline Tracking algorithm Direction of Interest.">TI_CAPT_Update_Tracking_DOI()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga8c4955d9a0ef75d5b9dd89830fbefa3c" title="Update the baseling tracking algorithm tracking rates.">TI_CAPT_Update_Tracking_Rate()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#gaad906f9ff5eed9fff49a2bf24ac0e6a7" title="Measure the capacitance of each element within the Sensor.">TI_CAPT_Raw()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga198ab93fb468b512993a278d579c3808" title="Measure the change in capacitance of the Sensor.">TI_CAPT_Custom()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga30ca174281f9410fd1bb9ab00dfb0a23" title="Determine if a button is being pressed.">TI_CAPT_Button()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga0f5e93f2d72d969633f55cd8c6754e47" title="Determine which button if any is being pressed.">TI_CAPT_Buttons()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#gaffdf52c13a23935fa2e1d6b56df4d150" title="Determine the position on a slider.">TI_CAPT_Slider()</a></li>
<li><a class="el" href="group___c_t_s___a_p_i.html#ga65cf217efa5b4d6b0afb9760db0337f6" title="Determine the position on a wheel.">TI_CAPT_Wheel()</a> </li>
</ul>
</dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jul 10 2014 11:39:48 for Capacitive Touch Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.3.1
</small></address>
</body>
</html>
